> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drivly.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Find paginated Customers

> Find paginated Customers

<Accordion title="Usage with the Drivly SDK" icon="code-simple">
  <Note>
    <span class="font-medium">Make sure you install our SDK first. You can find out how, and more [here](/commerce/sdk).</span>
  </Note>

  ```typescript theme={null}
  import { SDK } from '@drivly/commerce'
  import type { customers } from '@drivly/commerce'

  const sdk = new SDK(...)

  const customers = await sdk.customers.find(): Promise<customers[]>
  ```
</Accordion>


## OpenAPI

````yaml get /customers
openapi: 3.0.3
info:
  title: Drivly Commerce API
  version: 1.0.0
  description: API for the Driv.ly experience
  contact:
    name: Drivly
    url: https://driv.ly
    email: support@driv.ly
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /customers:
    get:
      tags:
        - customers
      summary: Find paginated Customers
      description: Find paginated Customers
      parameters:
        - name: depth
          in: query
          description: number of levels to automatically populate relationships and uploads
          schema:
            type: number
        - name: locale
          in: query
          description: retrieves document(s) in a specific locale
          schema:
            type: string
        - name: fallback-locale
          in: query
          description: specifies a fallback locale if no locale value exists
          schema:
            type: string
        - name: sort
          in: query
          description: sort by field
          schema:
            type: string
        - name: where
          in: query
          description: >-
            pass a where query to constrain returned documents (complex type,
            see documentation)
          style: deepObject
          explode: true
          allowReserved: true
          schema:
            $ref: '#/components/schemas/where'
        - name: limit
          in: query
          description: limit the returned documents to a certain number
          schema:
            type: number
        - name: page
          in: query
          description: get a specific page of documents
          schema:
            type: number
      responses:
        '200':
          $ref: '#/components/responses/customerssResponse'
      security:
        - apiKeyAuth: []
components:
  schemas:
    where:
      title: Where clause
      type: object
      additionalProperties:
        anyOf:
          - type: object
            properties:
              equals: {}
            additionalProperties: false
          - type: object
            properties:
              not_equals: {}
            additionalProperties: false
          - type: object
            properties:
              greater_than:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              greater_than_equal:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              less_than:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              less_than_equal:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              like:
                type: string
            additionalProperties: false
          - type: object
            properties:
              contains:
                type: string
            additionalProperties: false
          - type: object
            properties:
              in:
                type: string
            additionalProperties: false
          - type: object
            properties:
              not_in:
                type: string
            additionalProperties: false
          - type: object
            properties:
              exists:
                type: boolean
            additionalProperties: false
          - type: object
            properties:
              near:
                type: string
            additionalProperties: false
      properties:
        or:
          type: array
          items:
            title: Where clause
            type: object
            additionalProperties:
              anyOf:
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    like:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    contains:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    not_in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    exists:
                      type: boolean
                  additionalProperties: false
                - type: object
                  properties:
                    near:
                      type: string
                  additionalProperties: false
            properties:
              or:
                type: array
              and:
                type: array
            example:
              or:
                - color:
                    equals: mint
                - and:
                    - color:
                        equals: white
                    - featured:
                        equals: false
        and:
          type: array
          items:
            title: Where clause
            type: object
            additionalProperties:
              anyOf:
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    like:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    contains:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    not_in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    exists:
                      type: boolean
                  additionalProperties: false
                - type: object
                  properties:
                    near:
                      type: string
                  additionalProperties: false
            properties:
              or:
                type: array
              and:
                type: array
            example:
              or:
                - color:
                    equals: mint
                - and:
                    - color:
                        equals: white
                    - featured:
                        equals: false
      example:
        or:
          - color:
              equals: mint
          - and:
              - color:
                  equals: white
              - featured:
                  equals: false
    customerss:
      type: object
      title: Customers
      properties:
        docs:
          type: array
          items:
            additionalProperties: false
            title: Customer
            type: object
            properties:
              customerId:
                type: string
                nullable: true
              leads:
                items:
                  type: number
                type: array
                nullable: true
              address:
                type: number
                nullable: true
              shippingContact:
                type: number
                nullable: true
              deals:
                items:
                  type: number
                type: array
                nullable: true
              createdBy:
                type: number
                nullable: true
              lastModifiedBy:
                type: number
                nullable: true
              email:
                type: string
                nullable: true
              phone:
                type: string
                nullable: true
              insurancePolicies:
                items:
                  type: number
                type: array
                nullable: true
              tenants:
                items:
                  type: number
                type: array
                nullable: true
              consumerStatus:
                enum:
                  - SOLD
                  - Pending
                  - Working
                  - Cold
                  - LOST
                  - Duplicate
                  - DNC
                type: string
                nullable: true
              consumerFirstName:
                type: string
                nullable: true
              consumerMiddleName:
                type: string
                nullable: true
              consumerLastName:
                type: string
                nullable: true
              consumerSuffix:
                type: string
                nullable: true
              consumerDateOfBirth:
                type: string
                nullable: true
              consumerEducationLevel:
                type: string
                nullable: true
              consumerVehicles:
                items:
                  type: number
                type: array
                nullable: true
              consumerPhoneType:
                type: string
                nullable: true
              consumerDriversLicense:
                type: string
                nullable: true
              consumerDriversLicenseState:
                type: string
                nullable: true
              consumerDriversLicenseNumber:
                type: string
                nullable: true
              consumerDriversLicenseExp:
                type: string
                nullable: true
              consumerDriversLicenseExpiration:
                type: string
                nullable: true
              consumerPreApprovals:
                items:
                  type: number
                type: array
                nullable: true
              consumerGetPreApproved:
                type: string
                nullable: true
              consumerProvideProofOfInsurance:
                type: string
                nullable: true
              consumerLoginToBank:
                type: string
                nullable: true
              consumerConnectCar:
                type: string
                nullable: true
              consumerProvideProofOfIncome:
                type: string
                nullable: true
              consumerConsumerId:
                type: string
                nullable: true
              consumerCreditApplicationId:
                type: string
                nullable: true
              deals2:
                items:
                  type: number
                type: array
                nullable: true
              consumerSocialSecurity:
                type: string
                nullable: true
              consumerDriversLicenceState:
                type: string
                nullable: true
              consumerIncome:
                type: number
                nullable: true
              consumerIncomeInterval:
                type: string
                nullable: true
              consumerEmploymentStatusCode:
                type: string
                nullable: true
              consumerEmploymentDuration:
                type: number
                nullable: true
              consumerEmployerName:
                type: string
                nullable: true
              consumerEmployerPhone:
                type: string
                nullable: true
              consumerEmploymentTitle:
                type: string
                nullable: true
              consumerPreviousEmployerName:
                type: string
                nullable: true
              consumerPreviousEmployerPhone:
                type: string
                nullable: true
              consumerPreviousEmploymentTitle:
                type: string
                nullable: true
              consumerPreviousEmploymentDuration:
                type: number
                nullable: true
              consumerPreviousEmploymentincome:
                type: number
                nullable: true
              consumerTimeAtResidence:
                type: number
                nullable: true
              consumerPreviousAddressLine1:
                type: string
                nullable: true
              consumerPreviousAddressLine2:
                type: string
                nullable: true
              consumerPreviousAddressCity:
                type: string
                nullable: true
              consumerPreviousAddressState:
                type: string
                nullable: true
              consumerPreviousZip:
                type: string
                nullable: true
              consumerPreviousAddressDuration:
                type: number
                nullable: true
              consumerResidenceType:
                type: string
                nullable: true
              consumerRentMortgage:
                type: number
                nullable: true
              consumerOtherIncomeDescription:
                type: string
                nullable: true
              consumerOtherIncomeAmount:
                type: number
                nullable: true
              consumerLeadSource:
                items:
                  enum:
                    - Car Concierge (Andrew)
                    - Driv.ly Website
                    - Self Generated
                    - Referral
                    - Rocket
                  type: string
                type: array
                nullable: true
              companyName:
                type: string
                nullable: true
              companyDealerDeals:
                items:
                  type: number
                type: array
                nullable: true
              companyDealsFacilitated:
                items:
                  type: number
                type: array
                nullable: true
              companyInsuranceQuotes:
                items:
                  type: number
                type: array
                nullable: true
              companyType:
                items:
                  enum:
                    - Dealer
                    - Concierge
                    - Broker
                    - Partner
                    - Auction
                    - Affiliate
                    - Insurer
                    - Mobile Detailer
                    - Last Mile Transporter
                    - Service Provider
                    - Lender
                  type: string
                type: array
                nullable: true
              companyWebsite:
                type: string
                nullable: true
              companyStripeConnectLink:
                type: string
                nullable: true
              companyCustomerPortalLink:
                type: string
                nullable: true
              companyServiceQuotes:
                items:
                  type: number
                type: array
                nullable: true
              companyServiceOrders:
                type: string
                nullable: true
              companyServiceQuotesPartners:
                items:
                  type: number
                type: array
                nullable: true
              companyVisibility:
                type: string
                nullable: true
              companyTenants2:
                items:
                  type: number
                type: array
                nullable: true
              companyCustomer:
                items:
                  type: number
                type: array
                nullable: true
              companyTrades:
                items:
                  type: number
                type: array
                nullable: true
              companyTenants3:
                items:
                  type: number
                type: array
                nullable: true
              companyPartnerBrand:
                type: number
                nullable: true
              companyDeals3:
                items:
                  type: number
                type: array
                nullable: true
              companyRouteOneDealer:
                type: string
                nullable: true
              companyTransportServiceOrders:
                items:
                  type: number
                type: array
                nullable: true
              updatedAt:
                type: string
              createdAt:
                type: string
            required:
              - id
              - updatedAt
              - createdAt
        totalDocs:
          type: number
        limit:
          type: number
        totalPages:
          type: number
        page:
          type: number
        pagingCounter:
          type: number
        hasPrevPage:
          type: boolean
        hasNextPage:
          type: boolean
        prevPage:
          type: number
        nextPage:
          type: number
      required:
        - docs
        - totalDocs
        - limit
        - totalPages
        - page
        - pagingCounter
        - hasPrevPage
        - hasNextPage
  responses:
    customerssResponse:
      description: ok
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/customerss'
  securitySchemes:
    apiKeyAuth:
      in: header
      type: apiKey
      name: Authorization

````